Link a task to an issue
curl --request POST \
--url https://api.sazabi.com/v1/issues/{issueId}/tasks \
--header 'Content-Type: application/json' \
--data '
{
"task": "<string>"
}
'import requests
url = "https://api.sazabi.com/v1/issues/{issueId}/tasks"
payload = { "task": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({task: '<string>'})
};
fetch('https://api.sazabi.com/v1/issues/{issueId}/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sazabi.com/v1/issues/{issueId}/tasks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'task' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sazabi.com/v1/issues/{issueId}/tasks"
payload := strings.NewReader("{\n \"task\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sazabi.com/v1/issues/{issueId}/tasks")
.header("Content-Type", "application/json")
.body("{\n \"task\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sazabi.com/v1/issues/{issueId}/tasks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"task\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"taskLink": {
"provider": "linear",
"identifier": "<string>",
"url": "<string>"
},
"created": true
}Issues
Link a task to an issue
Link an existing task in the connected Linear, Jira, or GitHub workspace to an issue. The issue shows the task and follows its status like a task Sazabi filed. Linking is idempotent.
POST
https://api.sazabi.com/v1
/
issues
/
{issueId}
/
tasks
Link a task to an issue
curl --request POST \
--url https://api.sazabi.com/v1/issues/{issueId}/tasks \
--header 'Content-Type: application/json' \
--data '
{
"task": "<string>"
}
'import requests
url = "https://api.sazabi.com/v1/issues/{issueId}/tasks"
payload = { "task": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({task: '<string>'})
};
fetch('https://api.sazabi.com/v1/issues/{issueId}/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sazabi.com/v1/issues/{issueId}/tasks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'task' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sazabi.com/v1/issues/{issueId}/tasks"
payload := strings.NewReader("{\n \"task\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sazabi.com/v1/issues/{issueId}/tasks")
.header("Content-Type", "application/json")
.body("{\n \"task\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sazabi.com/v1/issues/{issueId}/tasks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"task\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"taskLink": {
"provider": "linear",
"identifier": "<string>",
"url": "<string>"
},
"created": true
}Path Parameters
Issue to link the task to.
Body
application/json
The task's identifier (for example ENG-123), provider id, or URL in the connected Linear, Jira, or GitHub workspace.
Minimum string length:
1